Bug 70997 - package requires gnome-python2-canvas
package requires gnome-python2-canvas
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-services (Show other bugs)
limbo
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-07 14:03 EDT by Paul Jenner
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-08 13:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Jenner 2002-08-07 14:03:37 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
The redhat-config-services package appears to require gnome-python2-canvas but
the dependency is not there in the spec file.

Explanation in following fields.

Version-Release number of selected component (if applicable): 0.8.1-7

Steps to Reproduce:
1. install redhat-config-services without installing gnome-python2-canvas
2. run redhat-config-services:

[root@helsing rpm]# redhat-config-services
Fatal Python error: could not import gnome.canvas
/usr/share/redhat-config-services/redhat-config-services: line 4:  1482 Aborted
      /usr/bin/python /usr/share/redhat-config-services/serviceconf.py

3. install gnome-python2-canvas and it runs further:

[root@helsing rpm]# redhat-config-services
Traceback (most recent call last):
  File "/usr/share/redhat-config-services/serviceconf.py", line 33, in ?
    import servicemethods
  File "/usr/share/redhat-config-services/servicemethods.py", line 25, in ?
    from translate import _, N_, cat
ImportError: No module named translate

(OK it still bails but the dependency was there :-)

4. check for dependencies:

[root@helsing rpm]# rpm -q --requires redhat-config-services | grep python
gnome-python2
[root@helsing rpm]# rpm -q --requires gnome-python2 | grep python
gnome-python2-bonobo

and redhat-config-services does not depend on gnome-python2-canvas

Additional info:

OK this is a minor packaging bug but it should be fixed as it is there and bit
me (still on the hunt for the remaining problem so this bug report may grow :-)
Comment 1 Paul Jenner 2002-08-07 15:05:51 EDT
The translate requirement is from package rhpl.

rhpl should also be added as a dependency in the spec file.
Comment 2 Paul Jenner 2002-08-07 15:08:49 EDT
Gets further now but still dies with:

(redhat-config-services:1817): GLib-GObject-WARNING **: gobject.c:918: object
class `GnomeProgram' has no property named `default-icon'
Traceback (most recent call last):
  File "/usr/share/redhat-config-services/serviceconf.py", line 497, in ?
    main()
  File "/usr/share/redhat-config-services/serviceconf.py", line 487, in main
    Gui()
  File "/usr/share/redhat-config-services/serviceconf.py", line 151, in __init__
    self.editing_runlevel = self.ServiceMethods.get_runlevel()
  File "/usr/share/redhat-config-services/servicemethods.py", line 117, in
get_runlevel
    runlevel_output = commands.getstatusoutput("/sbin/runlevel")
  File "/usr/lib/python2.2/commands.py", line 54, in getstatusoutput
    text = pipe.read()
IOError: [Errno 4] Interrupted system call
Comment 3 Daniel Walsh 2002-08-08 09:28:30 EDT
Fixed in serviceconf.py 0.8.1-8
Comment 4 Jay Turner 2002-08-09 08:31:40 EDT
With redhat-config-services-0.8.1-8, I'm seeing the dependency on rhpl and
gnome-python2-canvas.  In addition, I'm not seeing the traceback quoted above,
so closing out this issue.

Note You need to log in before you can comment on or make changes to this bug.